
QGIS Application - Bug report #12978

Adding a field after a virtual field does not show correctly

2015-06-16 10:55 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21056

Description

If I add a new field after a virtual field, the field characteristics for the new field are shown from the virtual field.

Cloding the Layer properties and opening it again corrects the situation, putting the new real field before the virtual one.

History

#1 - 2015-06-24 03:28 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you confirm if this has been fixed in master? I believe a related change should have fixed this.

#2 - 2015-06-30 10:42 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

I can confirm, fixed. Thanks.
